- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions

# QAbstractEventDispatcher Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qabstracteventdispatcher.h.

`#include <qabstracteventdispatcher.h>`

Inheritance diagram for QAbstractEventDispatcher:
[legend]

List of all members.

## Public Types
typedef QPair< int, int > | TimerInfo
typedef bool(* | EventFilter )(void *message)
## Signals
void | aboutToBlock ()
void | awake ()
## Public Member Functions
| QAbstractEventDispatcher (QObject *parent=0)
| ~QAbstractEventDispatcher ()
virtual bool | processEvents (QEventLoop::ProcessEventsFlags flags)=0
virtual bool | hasPendingEvents ()=0
virtual void | registerSocketNotifier (QSocketNotifier *notifier)=0
virtual void | unregisterSocketNotifier (QSocketNotifier *notifier)=0
int | registerTimer (int interval, QObject *object)
virtual void | registerTimer (int timerId, int interval, QObject *object)=0
virtual bool | unregisterTimer (int timerId)=0
virtual bool | unregisterTimers (QObject *object)=0
virtual QList< TimerInfo > | registeredTimers (QObject *object) const =0
virtual void | wakeUp ()=0
virtual void | interrupt ()=0
virtual void | flush ()=0
virtual void | startingUp ()
virtual void | closingDown ()
EventFilter | setEventFilter (EventFilter filter)
bool | filterEvent (void *message)
## Static Public Member Functions
static QAbstractEventDispatcher * | instance (QThread *thread=0)
## Protected Member Functions
| QAbstractEventDispatcher (QAbstractEventDispatcherPrivate &, QObject *parent)

## Member Typedef Documentation

typedef QPair<int, int> TimerInfo

Search for all occurrences

Definition at line 64 of file qabstracteventdispatcher.h.

typedef bool(* EventFilter)(void *message)

Search for all occurrences

Definition at line 90 of file qabstracteventdispatcher.h.

## Constructor & Destructor Documentation

QAbstractEventDispatcher | ( | QObject * | parent = `0` | ) | `[explicit]`

~QAbstractEventDispatcher | ( |  | ) |

QAbstractEventDispatcher | ( | QAbstractEventDispatcherPrivate & | ,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

static QAbstractEventDispatcher* instance | ( | QThread * | thread = `0` | ) | `[static]`

Search for all occurrences

virtual bool processEvents | ( | QEventLoop::ProcessEventsFlags | flags | ) | `[pure virtual]`

Search for all occurrences

virtual bool hasPendingEvents | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void registerSocketNotifier | ( | QSocketNotifier * | notifier | ) | `[pure virtual]`

Search for all occurrences

virtual void unregisterSocketNotifier | ( | QSocketNotifier * | notifier | ) | `[pure virtual]`

Search for all occurrences

int registerTimer | ( | int | interval,
|  | QObject * | object
| ) |  |

Search for all occurrences

virtual void registerTimer | ( | int | timerId,
|  | int | interval,
|  | QObject * | object
| ) |  | `[pure virtual]`

Search for all occurrences

virtual bool unregisterTimer | ( | int | timerId | ) | `[pure virtual]`

Search for all occurrences

virtual bool unregisterTimers | ( | QObject * | object | ) | `[pure virtual]`

Search for all occurrences

virtual QList<TimerInfo> registeredTimers | ( | QObject * | object | ) | const `[pure virtual]`

Search for all occurrences

virtual void wakeUp | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void interrupt | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void flush | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void startingUp | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void closingDown | ( |  | ) | `[virtual]`

Search for all occurrences

EventFilter setEventFilter | ( | EventFilter | filter | ) |

Search for all occurrences

bool filterEvent | ( | void * | message | ) |

Search for all occurrences

void aboutToBlock | ( |  | ) | `[signal]`

Search for all occurrences

void awake | ( |  | ) | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qabstracteventdispatcher.h

QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher
QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher QAbstractEventDispatcher